## org.apache.xerces.impl.dv
Interface ValidationContext

All Known Implementing Classes:
  ConfigurableValidationState, ValidationState

    public interface ValidationContext

ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname

Version:
  $Id: ValidationContext.java 446751 2006-09-15 21:54:06Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`void` `addId(java.lang.String name)`
`void` `addIdRef(java.lang.String name)`
`java.lang.String` `getSymbol(java.lang.String symbol)`
`java.lang.String` `getURI(java.lang.String prefix)`
`boolean` `isEntityDeclared(java.lang.String name)`
`boolean` `isEntityUnparsed(java.lang.String name)`
`boolean` `isIdDeclared(java.lang.String name)`
`boolean` `needExtraChecking()`
`boolean` `needFacetChecking()`
`boolean` `needToNormalize()`
`boolean` `useNamespaces()`

Method Detail

### needFacetChecking

    boolean needFacetChecking()

### needExtraChecking

    boolean needExtraChecking()

### needToNormalize

    boolean needToNormalize()

### useNamespaces

    boolean useNamespaces()

### isEntityDeclared

    boolean isEntityDeclared(java.lang.String name)

### isEntityUnparsed

    boolean isEntityUnparsed(java.lang.String name)

### isIdDeclared

    boolean isIdDeclared(java.lang.String name)

### addId

    void addId(java.lang.String name)

### addIdRef

    void addIdRef(java.lang.String name)

### getSymbol

    java.lang.String getSymbol(java.lang.String symbol)

### getURI

    java.lang.String getURI(java.lang.String prefix)

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.